

<div class="outer-container">
  <div id="title">
      <h1>{{ reportTitle }}</h1>
  </div>
  <div id="query" >
      <div class="input-container" style="width: 100%">
          <div class="constraint" *ngIf="selectedReport != 'Stock Item'">
              <div class="form-input-container" style="width:40%;" >
                  <mat-form-field class="input-block">
                      <mat-select class="input-block" placeholder="Tahun" [(ngModel)]="selectedYear" name="selectedYear" id="selectedYear">
                          <mat-option *ngFor="let year of yearList" [value]="year">
                              {{ year }}
                          </mat-option>
                      </mat-select>
                  </mat-form-field>
                  <div class="input-message-container">
                  </div>
              </div>
              <div class="form-input-container" >
                  <mat-checkbox [(ngModel)]="checkedMonth" id="checkbox">
                  </mat-checkbox>
                  <mat-form-field class="input-block" id="monthField">
                      <mat-select [disabled]="!checkedMonth" class="input-block" placeholder="Bulan" [(ngModel)]="selectedMonth" name="selectedMonth" id="selectedMonth">
                          <mat-option *ngFor="let month of utilityList.monthList" [value]="month.id">
                              {{ month.name }}
                          </mat-option>
                      </mat-select>
                  </mat-form-field>
              </div>
          </div>
      </div>

      <div class="input-container" style="width: 100%">
          <div class="constraint" id="radio">
              <div class="form-input-container" >
                  <mat-radio-group class="input-block" [(ngModel)]="entrustedOption">
                    <mat-radio-button value="0">Semua</mat-radio-button>
                    <mat-radio-button value="1">Barang Orang</mat-radio-button>
                    <mat-radio-button value="2">Barang Sendiri</mat-radio-button>
                  </mat-radio-group>
                  <div class="input-message-container">
                  </div>
              </div>
          </div>
      </div>
  </div>
  <div id="info">
    <a class="searchButton" (click)="search()" color="primary" mat-raised-button>Cari</a>
    <p class="item"><b>Berat Total (Gram):</b> {{ totalWeight | number : '1.2-4' }}</p>
    <p class="searchButton"><b>Jumlah Barang:</b> {{ totalItem }}</p>
  </div>

  <div id="data" class="example-container mat-elevation-z8">
      <cdk-table #table [dataSource]="dataSource" class="example-table">
      
          <ng-container cdkColumnDef="transactionId">
              <cdk-header-cell *cdkHeaderCellDef class="example-header-cell">Id Transaksi </cdk-header-cell>
              <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.transactionId}} </cdk-cell>
          </ng-container>

          <ng-container cdkColumnDef="transactionDate">
              <cdk-header-cell *cdkHeaderCellDef class="example-header-cell"> Tanggal Transaksi </cdk-header-cell>
              <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.transactionDate | date: 'dd/MM/yyyy'}} </cdk-cell>
          </ng-container>

          <ng-container cdkColumnDef="transactionPIC">
              <cdk-header-cell *cdkHeaderCellDef class="example-header-cell"> PIC Transaksi </cdk-header-cell>
              <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.transactionPIC}} </cdk-cell>
          </ng-container>

          <ng-container cdkColumnDef="itemId">
              <cdk-header-cell *cdkHeaderCellDef class="example-header-cell itemId">Id Barang </cdk-header-cell>
              <cdk-cell *cdkCellDef="let row" class="example-cell itemId"> {{row.itemId}} </cdk-cell>
          </ng-container>

          <ng-container cdkColumnDef="itemSoldPrice">
              <cdk-header-cell *cdkHeaderCellDef class="example-header-cell"> Harga jual (IDR) </cdk-header-cell>
              <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.itemSoldPrice | number : '1.0-0' }} </cdk-cell>
          </ng-container>

          <ng-container cdkColumnDef="viewItemDetail">
              <cdk-header-cell *cdkHeaderCellDef class="example-header-cell-icon"><mat-icon matTooltip="Lihat Detail" >search</mat-icon></cdk-header-cell>
              <cdk-cell *cdkCellDef="let row" class="example-cell-icon"><mat-icon matTooltip="Lihat Detail" ngClass="utility-icon" (click)="viewItemDetail(row.item)">search</mat-icon></cdk-cell>
          </ng-container>
      
          <cdk-header-row *cdkHeaderRowDef="displayedColumns" class="example-header-row"></cdk-header-row>
          <cdk-row *cdkRowDef="let row; columns: displayedColumns;" class="example-row"></cdk-row>
      </cdk-table>
      <mat-paginator #paginator
              [length]="totalItem"
              [pageSize]="5"
              [pageSizeOptions]="[5, 10, 20]">
      </mat-paginator>
  </div>
</div>

<div class="input-container submit-button-container">
  <a (click)="sendCancel()" color="light" mat-raised-button>Batal</a>
  <a (click)="sendExport()" color="accent" mat-raised-button>Export</a>
</div>